#include <iostream>

using namespace std;

int main()
{
cin>>BrojPacijenata;
cin>>KolicinaO>>KolicinaA>>KolicinaB>>KolicinaAB;
cin>>o;
cin>>a;
cin>>b;
cin>>ab;
If(o<=KolicinaO)
    KolicinaO=Kolicina0-o;
    cout>>KolicinaO>>"0">>"0">>"0">>endl;
    if(KolicinaA>=a)
                KolicinaA=KolicinaA-a;
                cout>>"0">>KolicinaA>>"0">>"0";
            else
                a=a-KolicinaA
                cout>>KolicinaO>>" ";
                if(KolicinaO>=a)
                    KolicinaO=KolicinaO-a
                else
                    cout<<"nemoguce";
                if(KolicinaB>=b)
                    KolicinaB=KolicinaB-b; 
                else
                    b=b-KolicinaB;
                    cout<<KolicinaB
                    if(KolicinaO>b)
                        KolicinaO=KolicinaO;
                    if(KolicinaA>=a)
                        KolicinaA=KolicinaA-a;
                    else
                        a=a-KolicinaA
                        if(KolicinaO>=a)
                            KolicinaO=KolicinaO-a
                        else
                            cout<<"nemoguce";
                        if(KolicinaAB>=ab)
                            KolicinaAB=KolicinaAB-ab
                        else
                            ab=ab-KolicinaAB
                            if(KolicinaA>=ab)
                                KolicinaA=KolicinaA-ab
                            else
                                ab=ab-KolicinaA
                                if(KolicinaB>=ab)
                                    KolicinaB=KolicinaB-ab;
                                else
                                    ab=ab-KolicinaB
                                    if(KolicinaO>=ab)
                                        KolicinaO=KolicinaO-ab;
                                    else    
                                        cout<<"nemoguce";
If(o>KolicinaO)
    cout<<"nemoguce";
        else
            cout<<"nemoguce";